@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap'); 

/* KOLORY */
:root{
    --kolor-podstawowy: #f0ecd8;
    --kolor-ciemny: #2b2728;
    --kolor-uzupelniajacy: #c49b63;
}
/* SELEKTORY GLOBALNE */
*{
    transition: 1s;
    box-sizing: border-box;

}

html{
    scroll-behavior: smooth;
}

body{
    font-family: "Roboto", sans-serif;
}

input{
    font-family: inherit;
}

a{
    text-decoration: none;
}

img{
    max-width: 100%;
    height: auto;
}

p{
    line-height: 1.4;
    font-size: 16px;

}

h1, h2, h3, h4, h5, h6{
    font-family: "Josefin Sans", Light;
}

h1{
    font-size: clamp(40px, 15vw, 128px);
}

h2{
    font-size: 48px;
    margin-top: 40px;
    font-weight: 400;
    text-align: center;
}

h3{
    font-size: 48px;
    margin: 15px 0;
}

h4{
    font-size: 48px;
    margin: 10px 0;
    font-weight: 400;
}

h5{
    font-size: 48px;
    margin: 20px 0;
}

h6{
    font-size: 12px;
    margin: 40px 0;
}

.bold{
    font-weight: 1000;
}

/* NAWIGACJA */
nav{
    background: var(--kolor-ciemny);
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    z-index: 1;
}
nav ul{
    max-width: 1400px;
    width: 100%;
    display: flex;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
}
nav ul li{
    flex: 1;
}
nav ul li a{
    /* background-color: green; */
    display: block;
    text-align: center;
    color: var(--kolor-podstawowy);
    text-decoration: none;
    font-size: 20px;
    letter-spacing: 2px;
    transition: color 0.3s ease;
}
nav ul li a:hover{
    color: #c49b63;
}
nav .logo {
    /* background-color: red; */
    color: var(--kolor-podstawowy);
    font-family: "Josefin Sans", sans-serif;
    font-weight: 900;
    letter-spacing: 2px;
    font-size: 36px;
    gap: 10px;
    flex: 2;
    display: flex;
    align-items: center;
    justify-content: center;
}
nav ul .logo img {
    width: 70px !important;
    height: auto;
}

/* WSZYSTKIE SEKCJE */
section{
    min-height: 90vh;
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: center;
    padding: 40px 20px;
    scroll-margin-top: 90px;
}

.zawartosc{
    max-width: 1200px;
    width: 100%;
    padding: 20px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* POSZCZEGÓLNE SEKCJE */

#pierwsza{
    background-color: var(--kolor-podstawowy);
    min-height: 100vh;
}
#pierwsza .zawartosc{
    gap: 40px;
    align-items: center;
}
#pierwsza .zawartosc figure{
    flex: 3 1 300px;
    display: flex;
    align-items: center;
    /* background-color: green; */
}
#pierwsza .zawartosc h1{
    flex: 1 1 100px;
}

#pierwsza .zawartosc figure img{
    width: 100%;
    height: auto;
    object-fit: contain;
}


#druga{
    background: url(../img/tlo.jpg);
    background-size: cover;
    background-position: center;
}

#druga h2{
    color: var(--kolor-uzupelniajacy);
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    font-size: 200px;
    text-align: center;
    font-weight: 900;
    mix-blend-mode: multiply; 
}


#trzecia{
    background-color: var(--kolor-podstawowy);
}
#trzecia .zawartosc{
    align-items: flex-start;
    gap: 50px;
    flex-wrap: wrap;
}
#trzecia article {
    /* background-color: var(--kolor-jasny); */
    /* background-color: red; */
    flex: 1 1 250px;
    max-width: 100%;
    padding: 10px;
    border-radius: 40px;
    text-align: center;
}
#trzecia article:hover{
    background-color: var(--kolor-uzupelniajacy);
}
#trzecia article img{
    width: 80%;
    height: 300px;
    object-fit: contain;
    border-radius: 40px;
}


#czwarta{
    background-color: var(--kolor-podstawowy);
}

#czwarta .zawartosc{
    text-align: center;
    margin-bottom: 40px;
    margin: 0% auto;
}

#czwarta .roast{
    display: flex;            
    flex-wrap: wrap;
    gap: 100px;
    justify-content: center;
    margin-top: 40px;
}

#czwarta article {
    background-color: var(--kolor-jasny);
    flex: 1 1 250px;
    max-width: 350px;
    padding: 10px;
    border-radius: 20px;
    text-align: center;
}

#czwarta article img{
    width: 80% ;
    border-radius: 20px;
}

#piata {
    background-color: var(--kolor-ciemny);
    padding: 80px 20px;
}

#piata h5 {
    color: var(--kolor-podstawowy);
}

#piata h4 {
    color: var(--kolor-podstawowy);;
}

#piata .drinks {
    display: flex;
    flex-wrap: wrap;
    gap: 100px;
    justify-content: center;
    margin-top: 60px;
}

#piata article {
    flex: 1 1 250px;
    max-width: 400px;
    padding: 10px;
    border-radius: 40px;
    text-align: center;
}

#piata article img{
    width: 100%;
    border-radius: 40px;
}

/* napoje */

.img-box {
    position: relative;
}

.img-box img {
    width: 100%;
    display: block;
}

/* napis na napojach */

.napis {
    position: absolute;
    bottom: 30%;      
    left: 41%;
    transform: translateX(-50%);
    color:var(--kolor-podstawowy);
    font-size: 14px;
    letter-spacing: 1px;
    opacity: 0;
}

.napis2 {
    position: absolute;
    bottom: 50%;      
    left: 41%;
    transform: translateX(-50%);
    color: var(--kolor-ciemny);
    font-size: 14px;
    letter-spacing: 1px;
    opacity: 0;
}

.napis:hover{
    opacity: 1;
}

.napis2:hover{
    opacity: 1;
}

#stopka{
    background-color: var(--kolor-podstawowy);
    padding: 40px 0 0 0;    
}


#stopka .zawartosc{
    flex-wrap: wrap;
    gap: 100px;
    justify-content: center;
    align-items: flex-start;
    text-align:  center;
}

#stopka article.social {
    flex-direction: column;
    align-items: center;
    display: flex;
    gap: 15px;
}

#stopka article.social p {
    display: inline-block;
    margin: 0 5px;
}

#stopka article.social img {
    height: 50px;
    width: 50px;
    object-fit: contain;
}

.icons {
    display: flex;
    gap: 15px;
    justify-content: center;
}

.icons img {
   width: 50px ;
    height: 50px;
}

.email{
    padding: 10px;
    width: 100%;
    max-width: 300px;
    border: none;
    border-radius: 5px;
    margin-bottom: 10px;
}

.submit{
    display: inline-block;
    padding: 10px 20px;
    background-color: var(--kolor-uzupelniajacy);
    color: var(--kolor-podstawowy);
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}

.submit:hover {
    background-color: var(--kolor-ciemny);
}

.pic {
  display: inline-block;
  padding: 10px 20px;
  background-color: var(--kolor-uzupelniajacy);
  color: var(--kolor-podstawowy);
  border-radius: 5px;
  cursor: pointer;
}

.pic:hover {
  background-color:var(--kolor-ciemny);
}

#stopka .plama {
    width: 100%;
    margin-left: calc(-50vw + 50%);
    display: block;
}


